org.jboss.resteasy.jsapi

## Class MethodMetaData

- java.lang.Object
- - org.jboss.resteasy.jsapi.MethodMetaData

-     public class MethodMetaData
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodMetaData(ServiceRegistry serviceRegistry, ResourceMethodInvoker resource)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `appendURIFragments(ServiceRegistry registry, Path classPath, Path methodPath)`
    `static String` | `appendURIFragments(String... fragments)`
    `String` | `getConsumesMIMEType()`
    `String` | `getFunctionName()`
    `String` | `getFunctionPrefix()`
    `Collection<String>` | `getHttpMethods()`
    `Class<?>` | `getKlass()`
    `Method` | `getMethod()`
    `List<MethodParamMetaData>` | `getParameters()`
    `ResourceMethodInvoker` | `getResource()`
    `String` | `getUri()`
    `String` | `getWants()`
    `protected void` | `processMetaData(Class<?> type, Annotation[] annotations, boolean useBody)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodMetaData

          public MethodMetaData(ServiceRegistry serviceRegistry,
                        ResourceMethodInvoker resource)

  - ### Method Detail

    - #### processMetaData

          protected void processMetaData(Class<?> type,
                             Annotation[] annotations,
                             boolean useBody)

    - #### appendURIFragments

          public static String appendURIFragments(String... fragments)

    - #### getResource

          public ResourceMethodInvoker getResource()

    - #### getMethod

          public Method getMethod()

    - #### getKlass

          public Class<?> getKlass()

    - #### getWants

          public String getWants()

    - #### getConsumesMIMEType

          public String getConsumesMIMEType()

    - #### getUri

          public String getUri()

    - #### getFunctionName

          public String getFunctionName()

    - #### getParameters

          public List<MethodParamMetaData> getParameters()

    - #### getHttpMethods

          public Collection<String> getHttpMethods()

    - #### appendURIFragments

          public static String appendURIFragments(ServiceRegistry registry,
                                  Path classPath,
                                  Path methodPath)

    - #### getFunctionPrefix

          public String getFunctionPrefix()

Copyright © 2014. All Rights Reserved.